"use client";
import e from "react";
function c(u) {
  const { day: n, modifiers: t, ...f } = u, o = e.useRef(null);
  return e.useEffect(() => {
    t.focused && o.current?.focus();
  }, [t.focused]), e.createElement("button", { ref: o, ...f });
}
export {
  c as DayButton
};
